{{ define "main" }}

{{ if (or .Site.Title .Content) }}
<div class="Container Container--full">
    <section class="Section">
	{{ with .Site.Title}}
	<h1 class="Site-title">{{.}}</h1>
	{{ end }}

	{{ with .Content}}
	<div class="Site-description">
	    {{.}}
	</div>
	{{ end }}
    </section>
</div>
{{ end }}    

<div class="Container Container--full v-grow">
    {{ $pages := (where .Site.RegularPages "Section" "intros") }}
    {{ with $pages }}
    <section class="Section v-grow v-center h-center">
	<div class="List List--home">
	    {{ range . }}
	    {{ partial "intro-card.html" . }}
	    {{ end }}
	</div>
    </section>
    {{ end }}

    {{ with .Site.GetPage "/services" }}
    <nav role="cta">
	<nav-item>
	    <a href="{{ .Permalink | relURL }}">
		<i>
		    Discover the range of data services.
		</i>
	    </a>
	</nav-item>
    </nav>
    {{ end }}
</div>

{{ end }}
